Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.documentbase
Class DocumentBaseSourceValidity

    java.lang.Object
      fr.gouv.culture.sdx.documentbase.DocumentBaseSourceValidity

All Implemented Interfaces:
  java.io.Serializable, org.apache.excalibur.source.SourceValidity

    public class DocumentBaseSourceValidity

extends java.lang.Object
implements org.apache.excalibur.source.SourceValidity

A source validity for a document base.

The source is not valid is the document base has been updated.

This is used to cache pages when document base has not been updated.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.excalibur.source.SourceValidity
`INVALID, UNKNOWN, UNKNWON, VALID`

Constructor Summary
`DocumentBaseSourceValidity(DocumentBase d)` Creates a source validity from a document base.

Method Summary
`long` | `getTimeStamp()` Returns the current timestamp
`int` | `isValid()` Checks to see if it is valid.
`int` | `isValid(org.apache.excalibur.source.SourceValidity newValidity)` Checks to see if it is valid agains a new validity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBaseSourceValidity

    public DocumentBaseSourceValidity(DocumentBase d)

  Creates a source validity from a document base.

  Parameters:
    `d` - The document base.

Method Detail

### isValid

    public int isValid()

  Checks to see if it is valid. Always return 0 (= don't know).

  Specified by:
    `isValid` in interface `org.apache.excalibur.source.SourceValidity`

### isValid

    public int isValid(org.apache.excalibur.source.SourceValidity newValidity)

  Checks to see if it is valid agains a new validity.

  Specified by:
    `isValid` in interface `org.apache.excalibur.source.SourceValidity`
  Parameters:
    `newValidity` - The new validity object.

### getTimeStamp

    public long getTimeStamp()

  Returns the current timestamp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.